<?php

  // remove admin window image setting.
  add_action( 'admin_print_styles', 'admin_css_custom' );
  function admin_css_custom() {
    echo '<style>.attachment-details label[data-setting="caption"], .attachment-details label[data-setting="description"], div.attachment-display-settings { display: none; }</style>';
  }

  // remove <p>
  add_action('init', function() {
    remove_filter('the_excerpt', 'wpautop');
    remove_filter('the_content', 'wpautop');
  });

  add_filter('tiny_mce_before_init', function($init) {
    $init['wpautop'] = false;
    $init['apply_source_formatting'] = false;
    return $init;
  });

  //概要（抜粋）の省略文字
  function my_excerpt_more($more) {
    return '';
  }
  add_filter('excerpt_more', 'my_excerpt_more');


  function catch_that_image() {
    global $post, $posts;
    $first_img = '';
    ob_start();
    ob_end_clean();
    $output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);
    $first_img = $matches [1] [0];

  if(empty($first_img)){ //Defines a default image
        $first_img = "/assy/images/share/no-image.jpg";
    }
    return $first_img;
  }

  // PAGE NATIONS.　REMOVE H2
  function archive_navi_template($template){
    $template = '
    <nav class="navigation %1$s">
      <div class="nav-links">%3$s</div>
    </nav>';
    return $template;
  }
  add_action( 'navigation_markup_template', 'archive_navi_template' );



  add_action('admin_menu', 'mytheme_menu');
  function mytheme_menu() {
    $cat_id_01 = get_cat_ID('news');
    add_posts_page('お知らせ一覧', 'お知らせ一覧', 'publish_posts', "edit.php?cat=$cat_id_01");
    $cat_id_02 = get_cat_ID('users-voice');
    add_posts_page('お客様の声一覧', 'お客様の声一覧', 'publish_posts', "edit.php?cat=$cat_id_02");
    $cat_id_03 = get_cat_ID('faq');
    add_posts_page('スマホお悩みQ&A一覧', 'スマホお悩みQ&A一覧', 'publish_posts', "edit.php?cat=$cat_id_03");
    $cat_id_04 = get_cat_ID('staff-info');
    add_posts_page('社員紹介', '社員紹介', 'publish_posts', "edit.php?cat=$cat_id_04");
    $cat_id_05 = get_cat_ID('トップページのサービス名');
    add_posts_page('トップページのサービス一覧', 'トップページのサービス一覧', 'publish_posts', "edit.php?cat=$cat_id_05");
    $cat_id_06 = get_cat_ID('company-info');
    add_posts_page('会社概要', '会社概要', 'publish_posts', "edit.php?cat=$cat_id_06");
  }

  //　初期設定　最初にいじるくらいの設定
  // CSS
  function my_admin_style() {
    echo '<style>
    .l-flex {display: flex;align-items: center;}
    .l-flex dt {width: 220px;padding: 0;}
    .l-flex dd {margin: 0px;}
    .bold {font-weight: bold;}
    .red {color: #cd0000;}
    .note .p {line-height: 1.35em;margin: 0;}
    .note .bold {margin: 18px 0 0;}
    .noti {line-height: 1.35em;margin: 0;}
    .note p.bold + p {margin: 6px 0 0px;}
    .sentence {line-height: 1.75em;margin: 0;}
    .h-r {margin-top: 36px;}

    .check-image {width: 120px;}
    .check-image img{width: 100%;}
    </style>'.PHP_EOL;
  }
  add_action('admin_print_styles', 'my_admin_style');
  function original_page() {
    add_menu_page('エックスモバイル・初期設定', 'エックスモバイル・初期設定', 'manage_options', 'original_page', 'original_menu');
    add_action( 'admin_init', 'register_banner_settings' );
  }
  add_action('admin_menu', 'original_page');
  function original_menu() {include 'original_menu.php';}

  // add_action('admin_menu', 'xmobile_menu');
  // function xmobile_menu() {
  //   add_options_page('販売店様初期設定', '販売店様 初期設定', 'manage_options', 'xmobile_menu', 'xmobile_options_page');
  // }

  function register_banner_settings() {
    register_setting( 'xmobile-settings-group', 'lisence_key' );
    register_setting( 'xmobile-settings-group', 'header_logo', 'esc_url' );
    register_setting( 'xmobile-settings-group', 'shop_name' );
    register_setting( 'xmobile-settings-group', 'shop_service' );
    register_setting( 'xmobile-settings-group', 'image_plan' );
    register_setting( 'xmobile-settings-group', 'image_usersvoice' );
    register_setting( 'xmobile-settings-group', 'image_contact' );
    register_setting( 'xmobile-settings-group', 'image_faq' );
    register_setting( 'xmobile-settings-group', 'image_staff' );
    register_setting( 'xmobile-settings-group', 'image_blog' );
    register_setting( 'xmobile-settings-group', 'image_company' );
    register_setting( 'xmobile-settings-group', 'image_privacy' );
    register_setting( 'xmobile-settings-group', 'mail_header' );
    register_setting( 'xmobile-settings-group', 'mail_domain' );
    register_setting( 'xmobile-settings-group', 'addr_zip' );
    register_setting( 'xmobile-settings-group', 'addr_adrs' );
    register_setting( 'xmobile-settings-group', 'addr_phone' );
    register_setting( 'xmobile-settings-group', 'addr_time' );
    register_setting( 'xmobile-settings-group', 'copy_right' );
  }


  // 簡易認証
  // $RAW = esc_url(home_url('/'));
  // $strUrl = strval ($RAW);
  // $url = "http://xmobile-sitebuilder.com/license.json";
  // $json = file_get_contents($url);
  // $json = mb_convert_encoding($json, 'UTF8', 'ASCII,JIS,UTF-8,EUC-JP,SJIS-WIN');
  // $arr = json_decode($json,true);
  // $RESULT = "no data";

  // if ($arr === NULL) {
  //   return;
  // } else {
  //   $json_count = count($arr["res"]["data"]);
  //   $bc_id　= array();
  //   $bc_title = array();

  //   for($i=$json_count-1;$i>=0;$i--){
  //     $bc_id[] = $arr["res"]["data"][$i]["id"];
  //     $bc_title[] = $arr["res"]["data"][$i]["key"];
  //     if ($bc_title[$i] == $RAW) {
  //       $RESULT = $bc_title[$i];
  //     } else {
  //       //
  //     }
  //   }

  //   if ($RESULT == $RAW) {
  //     echo 'authorize';
  //   } else {
  //     echo 'un authorize';
  //     function remove_menu_at_admin_view() {
  //       remove_menu_page( 'edit.php' );                   // 投稿
  //       remove_menu_page( 'upload.php' );                 // メディア
  //       remove_menu_page( 'edit.php?post_type=page' );    // 固定ページ
  //       remove_menu_page( 'edit-comments.php' );          // コメント
  //       remove_menu_page( 'plugins.php' );                // プラグイン
  //       remove_menu_page( 'users.php' );                  // ユーザー
  //       remove_menu_page( 'tools.php' );                  // ツール
  //       remove_menu_page( 'options-general.php' );        // 設定
  //       }
  //       add_action( 'admin_menu', 'remove_menu_at_admin_view' );
  //       }
  //     }
