<?php
/**
* The template for displaying the header
*
* Displays all of the head element and everything up until the "site-content" div.
*
* @package WordPress
* @subpackage WAYNE CREATE
* @since 2020
*/
?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
  <head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <meta name="copyright" content="Copyright &copy; 2020 <?php bloginfo( 'name' ); ?>. All Rights Reserved.">
    <meta name="author" content="<?php bloginfo( 'name' ); ?>">
    <meta name="format-detection" content="telephone=no">

<?php
if(is_home()){
  // index page
  get_template_part('includes/meta/index');
  // plan page
} elseif (is_page_template('pages/page-plan.php')) {
  get_template_part('includes/meta/plan');
  // usersvoice.
} elseif (is_page_template('pages/page-usersvoice.php')) {
  get_template_part('includes/meta/usersvoice');
  // faq
} elseif (is_page_template('pages/page-faq.php')) {
  get_template_part('includes/meta/faq');
  // staff
} elseif (is_page_template('pages/page-staff.php')) {
  get_template_part('includes/meta/staff');
  // company
} elseif (is_page_template('pages/page-company.php')) {
  get_template_part('includes/meta/company');
  // contact
} elseif (is_page_template('pages/page-contact.php')) {
  get_template_part('includes/meta/contact');
  // privacy policy
} elseif (is_page_template('pages/page-privacypolicy.php')) {
  get_template_part('includes/meta/privacypolicy');
  // weblog
} elseif (is_single()) {
  get_template_part('includes/meta/single');
} else {
  // other pages meta
  // get_template_part('includes/meta','index');
}

/**
* user agent
* @return string
*/
function getUserAgent(){
  $userAgent = isset($_SERVER['HTTP_USER_AGENT'])? $_SERVER['HTTP_USER_AGENT'] : '';
  return $userAgent;
}
/**
* judge smartphone
* @return bool
*/


function isSmartPhone(){
  $ua = getuserAgent();
  if (stripos($ua, 'iphone') !== false || // iphone
  stripos($ua, 'ipod') !== false || // ipod
  (stripos($ua, 'android') !== false && stripos($ua, 'mobile') !== false) || // android
  (stripos($ua, 'windows') !== false && stripos($ua, 'mobile') !== false) || // windows phone
  (stripos($ua, 'firefox') !== false && stripos($ua, 'mobile') !== false) || // firefox phone
  (stripos($ua, 'bb10') !== false && stripos($ua, 'mobile') !== false) || // blackberry 10
  (stripos($ua, 'blackberry') !== false) // blackberry
) {$isSmartPhone = true;} else {$isSmartPhone = false;}return $isSmartPhone;
}

?>

    <meta property="og:url" content="<?php echo esc_url(home_url('/')); ?>" />
    <meta property="og:site_name" content="<?php bloginfo( 'name' ); ?>" />
    <meta property="og:image" content="/wp-content/themes/xmobile/assy/images/share/ogimage.jpg" />
    <link rel="icon" href="/wp-content/themes/xmobile/assy/images/share/favicon.ico" />
    <link rel="profile" href="//gmpg.org/xfn/11">
    <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<?php /* INSTAGRAM FEED PLUGIN 使用のためWPのjqueryをロード
  wp_deregister_script('jquery');
  wp_head(); not use include jquery*/
?>
    <link href="https://fonts.googleapis.com/css?family=M+PLUS+1p" rel="stylesheet">
    <link rel="stylesheet" href="/wp-content/themes/xmobile/assy/css/common.css?<?php echo date('U'); ?>">
  </head>
