<?php
  get_header();
  wp_head();
?>
<body id="corporate" class="corporate home">
<?php get_template_part('includes/common','header'); ?>
  <main>
    <section>
      <h1 class="blog-info"><?php echo get_option('shop_name'); ?></h1>
      <div id="first-view">
        <span class="x-slash left"></span>
        <span class="x-slash right"></span>
        <ul id="slider">
<?php /* NEWS LIST */
  $args = array('category_name'=> 'slider');
  $myposts = get_posts( $args );
  foreach ( $myposts as $post ) : setup_postdata( $post );
  remove_filter ('the_content', 'wpautop');
?>
          <li>
            <div class="standard">
              <p class="background-image slide02"><img src="<?php echo catch_that_image(); ?>" alt="<?php echo get_the_title(); ?>"></p>
            </div>
          </li>
<?php endforeach; wp_reset_postdata();?>
        </ul>
      </div>
    </section>

    <article id="services" class="content-wrap">
      <h2 class="title-services"><?php echo get_option('shop_service'); ?></h2>
      <ul id="services-list">
<?php /* SHOP MASTER */
  $args = array('category_name'=> 'service-list');
  $myposts = get_posts( $args );
  foreach ( $myposts as $post ) : setup_postdata( $post );
  remove_filter ('the_content', 'wpautop');
?>
        <li>
          <p class="under-line"><?php the_title(); ?></p>
          <div class="sentence"><?php remove_filter('the_content', 'wpautop'); the_content(); ?></div>
        </li>
<?php endforeach; wp_reset_postdata();?>
      </ul>
    </article>

    <article id="news-content">
      <h3 class="content-cross header under">NEWS<br><?php echo get_option('shop_name'); ?>からのお知らせ</h3>
      <ul class="news">
<?php /* NEWS LIST */
  $args = array('posts_per_page' => 4,'category_name'=> 'news');
  $myposts = get_posts( $args );
  foreach ( $myposts as $post ) : setup_postdata( $post );
  remove_filter ('the_content', 'wpautop');
?>
          <li>
            <a href="<?php echo get_the_permalink();?>">
              <p class="date"><?php the_date(); ?></p>
              <p class="title"><?php the_title(); ?></p>
            </a>
          </li>
<?php endforeach; wp_reset_postdata();?>
          <li><div class="see-more"><a href="<?php echo esc_url(home_url('/staff-weblog/')); ?>">NEWS一覧</a></div></li>
        </ul>
    </article>

    <article id="products" class="content-wrap">
      <h2 class="content-header">エックスモバイルのサービス</h2>
      <ul class="product-list">
        <li>
          <div class="product-image sim"></div>
          <p class="product-name">格安携帯（SIM）</p>
          <p class="product-description">業界最安980円！月々のスマートフォン代が大手携帯会社と比べて格段に安くなります。</p>
          <div class="button std"><a href="<?php $key="afc-sim"; echo get_post_meta($post->ID, $key, true); ?>" target="_blank">格安携帯（SIM）について</a></div>
        </li>
        <!-- <li>
          <div class="product-image phone"></div>
          <p class="product-name">スゴい電話</p>
          <p class="product-description">見た目は固定電話でありながら番号は携帯電話であり、回線も電源も不要でお使い頂けます。</p>
          <div class="button std"><a href="<?php $key="afc-phone"; echo get_post_meta($post->ID, $key, true); ?>" target="_blank">スゴい電話について</a></div>
        </li> -->
        <li>
          <div class="product-image wifi"></div>
          <p class="product-name">限界突破Wi-Fi</p>
          <p class="product-description">X-mobileの限界突破Wi-Fiなら世界中どこにいても簡単なインターネットへの接続が可能です。</p>
          <div class="button std"><a href="<?php $key="afc-wifi"; echo get_post_meta($post->ID, $key, true); ?>" target="_blank">限界突破Wi-Fiについて</a></div>
        </li>
      </ul>
    </article>

    <article id="users-voice">
      <div class="content-cross foundation">
        <span class="content-cross background"></span>
        <p class="content-cross image-wrap"><span class="back-image users-voice"><img src="<?php
        if (!get_option('image_usersvoice') == "") {
          echo get_option('image_usersvoice');
        } else {
          echo '/wp-content/themes/xmobile/assy/images/staff/main-visual.jpg';
        }
        ?>" alt="<?php echo get_the_title(); ?>"></span></p>
        <h2 class="content-cross header white">USER'S VOICE<br>お客様の声</h2>
      </div>

<?php if (isSmartPhone()): ?>
      <ul class="card-list first content-wrap">
<?php /* USERS VOICE SP */
  $args = array('posts_per_page' => 3,'category_name'=> 'users-voice');
  $myposts = get_posts( $args );
  foreach ( $myposts as $post ) : setup_postdata( $post );
  remove_filter ('the_content', 'wpautop');
?>
        <li class="wifi">
          <a href="<?php echo esc_url(home_url('/users-voice/')); ?>?<?php echo $cat_slug ?>#<?php the_title(); ?>">

            <p class="image-wrap"><img src="<?php echo catch_that_image(); ?>" alt="<?php the_title(); ?>">
              <span class="label"><?php
              $categories = get_the_category();
              $cat_slug = $categories[0]->category_nicename;
              foreach ( $categories as $category ) {
                switch ($cat_slug) {
                        case 'sim':
                          echo "格安携帯（SIM）";
                          break;
                        case 'phone':
                          echo "スゴい電話";
                          break;
                        case 'wifi':
                          echo "限界突破Wi-Fi";
                          break;
                        default:
                          echo "";
                          break;
                      }
              }
              ?></span>
            </p>
            <p class="title"><?php the_title(); ?></p>
            <p class="age"><?php $key="profile"; echo get_post_meta($post->ID, $key, true); ?></p>
          </a>
        </li>
<?php endforeach; wp_reset_postdata();?>
      </ul>
<?php else: // PC view?>
      <ul class="card-list first content-wrap">
<?php /* USERS VOICE PC */
  $args = array('posts_per_page' => 6,'category_name'=> 'users-voice');
  $myposts = get_posts( $args );
  foreach ( $myposts as $post ) : setup_postdata( $post );
  remove_filter ('the_content', 'wpautop');
  $categories = get_the_category();
  $cat_slug = $categories[0]->category_nicename;
?>
        <li class="wifi">
          <a href="<?php echo esc_url(home_url('/users-voice/')); ?>?<?php echo $cat_slug ?>#<?php the_title(); ?>">

            <p class="image-wrap"><img src="<?php echo catch_that_image(); ?>" alt="<?php the_title(); ?>">
              <span class="label"><?php
              foreach ( $categories as $category ) {
                switch ($cat_slug) {
                        case 'sim':
                          echo "格安携帯（SIM）";
                          break;
                        case 'phone':
                          echo "スゴい電話";
                          break;
                        case 'wifi':
                          echo "限界突破Wi-Fi";
                          break;
                        default:
                          echo "";
                          break;
                      }
              }
              ?></span>
            </p>
            <p class="title"><?php the_title(); ?></p>
            <p class="age"><?php $key="profile"; echo get_post_meta($post->ID, $key, true); ?></p>
          </a>
        </li>
<?php endforeach; wp_reset_postdata();?>
      </ul>

<?php endif; ?>
      <div class="see-more"><a href="<?php echo esc_url(home_url('/users-voice/')); ?>">お客様の声をもっとみる</a></div>
    </article>

    <article id="faq">
      <div class="content-cross foundation">
        <span class="content-cross background"></span>
        <p class="content-cross image-wrap"><span class="back-image faq"><img src="<?php
        if (!get_option('image_faq') == "") {
          echo get_option('image_faq');
        } else {
          echo '/wp-content/themes/xmobile/assy/images/staff/main-visual.jpg';
        }
        ?>" alt="<?php echo get_the_title(); ?>"></span></p>
        <h2 class="content-cross header white">スマホお悩みQ&A</h2>
      </div>

      <div class="faq-foundation">
        <ul class="faq">
<?php /* FAQ */
  $args = array('posts_per_page' => 3,'category_name'=> 'faq');
  $myposts = get_posts( $args );
  foreach ( $myposts as $post ) : setup_postdata( $post );
  remove_filter ('the_content', 'wpautop');
?>
          <li>
            <a class="question" href="<?php echo get_the_permalink();?>"><?php the_title(); ?></a>
          </li>
<?php endforeach; wp_reset_postdata();?>
          <li><div class="see-more"><a href="<?php echo esc_url(home_url('/faq/')); ?>">スマホお悩みQ&Aをもっとみる</a></div></li>
        </ul>
      </div>
    </article>

<?php // ARTICLE INTRODUCTION ?>
<?php include('./wp-content/themes/xmobile/includes/common-staff.php'); ?>
    <article id="access">
      <div class="content-cross foundation">
        <div class="content-cross background"><span class="background-maps"><?php echo do_shortcode('[wpgmza id="1"]'); ?></span></div>
        <h3 class="content-cross header">ACCESS<br><?php echo get_option('shop_name'); ?>へのアクセス</h3>
      </div>
    </article>

    <article id="instagram">
      <div class="content-cross foundation">
        <div class="content-cross background"><span class="background-maps"><span id="google-map"></span></span></div>
      </div>
      <div class="instagram-wrap">
        <?php /* <ul id="gallery" class="gallery"></ul> */ echo do_shortcode('[instagram-feed]'); ?>
      </div>
    </article>
  </main>

<?php get_template_part('includes/common','footer'); ?>
    <script src="/wp-content/themes/xmobile/assy/js/common.js"></script>
    <script src="/wp-content/themes/xmobile/assy/js/index.js"></script>
<?php get_footer(); ?>
