<?php wp_head(); get_header();  /* Template Name: FAQ */?>
<body id="corporate" class="corporate faq">
<?php get_template_part('includes/common','header'); ?>
  <main>
    <div class="cross-label">
        <div class="back-label"></div>
        <p class="page-title r-15"><?php echo get_the_title(); ?></p>
        <div class="front-label"><p class="background-image"><img src="<?php
        if (!get_option('image_faq') == "") {
          echo get_option('image_faq');
        } else {
          echo '/wp-content/themes/xmobile/assy/images/faq/main-visual.jpg';
        }
        ?>" alt="<?php echo get_the_title(); ?>"></p></div>
        <nav class="bread-crumb">
            <ol itemscope itemtype="http://schema.org/BreadcrumbList">
            <li itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem">
                <a itemprop="item" href="<?php echo esc_url(home_url('/')); ?>"><span itemprop="name">トップ</span></a>
                <meta itemprop="position" content="1" />
            </li>
            <li itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem">
                <a itemprop="item" href="<?php echo get_the_permalink();?>"><span itemprop="name"><?php echo get_the_title(); ?></span></a>
                <meta itemprop="position" content="2" />
            </li>
            </ol>
        </nav>
    </div>

    <article class="confined-content">
        <h2 class="page-header"><?php echo get_the_title(); ?></h2>
        <p class="page-description">エックスモバイルへお寄せ頂いたご質問・不明な点等を回答と共に掲載しております。</p>

        <ul class="faq-list wrap">
<?php /* LATEST POST */
  $args = array( 'posts_per_page' => 4, 'category_name'=> 'faq');
  $myposts = get_posts( $args );
  foreach ( $myposts as $post ) : setup_postdata( $post );
  remove_filter ('the_content', 'wpautop');
?>
            <li>
                <a class="faq-title" href="<?php the_permalink(); ?>"><?php the_title(); ?><span class="drop-down-button"></span></a>
            </li>
<?php endforeach; wp_reset_postdata();?>
        </ul>

        <ul class="faq-list wrap">
<?php /* LATEST POST */
  $args = array( 'posts_per_page' => 24, 'category_name'=> 'faq', 'tag'=> 'FrequentlyAsked' );
  $myposts = get_posts( $args );
  foreach ( $myposts as $post ) : setup_postdata( $post );
  remove_filter ('the_content', 'wpautop');
?>
          <li>
              <a class="faq-title" href="<?php the_permalink(); ?>"><?php the_title(); ?><span class="drop-down-button"></span></a>
              <!-- <div class="sentence"><?php remove_filter('the_content', 'wpautop'); the_content(); ?></div> -->
          </li>
<?php endforeach; wp_reset_postdata();?>
        </ul>

        <div class="other-faq">
          <p class="category-title">カテゴリー別FAQ</p>
<?php
$parent_category = get_category_by_slug("faq");
$args = array(
  'type'                     => 'post',
  'child_of'                 => $parent_category->term_id,
  'orderby'                  => 'slug',
  'order'                    => 'ASC',
  'hide_empty'               => 1,
  'hierarchical'             => 1,
  'taxonomy'                 => 'category',
);

$child_categories = get_categories($args );
foreach( $child_categories as $category ):

  $topcategory_id = $parent_category->term_id;
  $next_category_id = $category->term_id;

  // 子カテゴリー出力
  echo '<p class="other-button">'.$category->cat_name.'</p>'."\n".'<ul class="faq-list other-list">'."\n";
  // 子カテゴリー内の記事を取得表示

  $args = array( 'category'=> $next_category_id );
    $myposts = get_posts( $args );
    foreach ( $myposts as $post ) : setup_postdata( $post );
    ?>
          <li>
            <a href="<?php the_permalink();?>" class="faq-title"><?php the_title(); ?><span class="drop-down-button"></span></a>
          </li>
<?php endforeach; wp_reset_postdata(); ?>
        </ul>
<?php endforeach; ?>
      </div>
    </article>


<?php get_template_part('includes/common','footer'); ?>
    <script src="/wp-content/themes/xmobile/assy/js/common.js"></script>
    <script src="/wp-content/themes/xmobile/assy/js/faq.js"></script>
<?php get_footer();?>
