<?php  wp_head(); get_header();  /* Template Name: STAFF */?>
<body id="corporate" class="staff">
<?php get_template_part('includes/common','header'); ?>
  <main>
    <div class="cross-label">
        <div class="back-label"></div>
        <p class="page-title r-15"><?php echo get_the_title(); ?></p>
        <div class="front-label"><p class="background-image"><img src="<?php
        if (!get_option('image_staff') == "") {
          echo get_option('image_staff');
        } else {
          echo '/wp-content/themes/xmobile/assy/images/staff/main-visual.jpg';
        }
        ?>" alt="<?php echo get_the_title(); ?>"></p></div>
        <nav class="bread-crumb">
            <ol itemscope itemtype="http://schema.org/BreadcrumbList">
            <li itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem">
                <a itemprop="item" href="<?php echo esc_url(home_url('/')); ?>"><span itemprop="name">トップ</span></a>
                <meta itemprop="position" content="1" />
            </li>
            <li itemscope itemprop="itemListElement" itemtype="http://schema.org/ListItem">
                <a itemprop="item" href="<?php echo get_the_permalink();?>"><span itemprop="name"><?php echo get_the_title(); ?></span></a>
                <meta itemprop="position" content="2" />
            </li>
            </ol>
        </nav>
    </div>

    <article class="confined-content">
        <h2 class="page-header"><?php echo get_the_title(); ?></h2>
        <p class="page-description"><?php echo get_option('shop_name'); ?> プラン・デバイスアドバイザースタッフの紹介を致します。</p>
    </article>

    <article id="master">
      <div class="master-content">
        <?php /* SHOP MASTER */
  $args = array('category_name'=> 'staff-info', 'tag'=> 'staff-master' );
  $myposts = get_posts( $args );
  foreach ( $myposts as $post ) : setup_postdata( $post );
  remove_filter ('the_content', 'wpautop');
  ?>
          <p class="staff-master-image"><img src="<?php echo catch_that_image(); ?>" alt="<?php the_title(); ?>"></p>
          <div class="interview-wrap">
          <p class="message-header"><?php the_title(); ?></p>
          <p class="position"><?php $key="profile"; echo get_post_meta($post->ID, $key, true); ?></p>
          <p class="staff-name"><?php $key="profile-staff-name"; echo get_post_meta($post->ID, $key, true); ?></p>
          <div class="interview-sentence"><?php remove_filter('the_content', 'wpautop'); the_content(); ?></div>
<?php $key = "staff-youtube";
$value = get_post_meta($post->ID, $key, true);
if (!$value == "") { ?>
            <div class="youtube-wrap">
              <iframe src="https://www.youtube.com/embed/<?php echo($value); ?>?controls=0" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
            </div>
<?php }; ?>
        </div>
<?php endforeach; wp_reset_postdata();?>
      </div>
    </article>

    <article class="staff-content">
      <ul>
<?php /* SHOP MASTER */
  $args = array('category_name'=> 'staff-info', 'tag'=> 'staff-standard' );
  $myposts = get_posts( $args );
  foreach ( $myposts as $post ) : setup_postdata( $post );
  remove_filter ('the_content', 'wpautop');
?>
        <li id="<?php the_title(); ?>">
          <p class="skew-image first"><img src="<?php echo catch_that_image(); ?>" alt="<?php the_title(); ?>"></p>
          <div class="interview-wrap">
            <p class="message-header"><?php the_title(); ?></p>
            <p class="position"><?php $key="profile"; echo get_post_meta($post->ID, $key, true); ?></p>
            <p class="staff-name"><?php $key="profile-staff-name"; echo get_post_meta($post->ID, $key, true); ?></p>
            <div class="interview-sentence"><?php remove_filter('the_content', 'wpautop'); the_content(); ?></div>
<?php $key = "staff-youtube";
$value = get_post_meta($post->ID, $key, true);
if (!$value == "") { ?>
            <div class="youtube-wrap">
              <iframe src="https://www.youtube.com/embed/<?php echo($value); ?>?controls=0" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
            </div>
<?php }; ?>
          </div>
        </li>
<?php endforeach; wp_reset_postdata();?>
      </ul>

    </article>
  </main>

<?php get_template_part('includes/common','footer'); ?>
    <script src="/wp-content/themes/xmobile/assy/js/common.js"></script>
    <script src="/wp-content/themes/xmobile/assy/js/staff.js"></script>
<?php get_footer();?>
